## org.hibernate.action.internal
Class CollectionRecreateAction

    java.lang.Object
      org.hibernate.action.internal.CollectionAction
          org.hibernate.action.internal.CollectionRecreateAction

All Implemented Interfaces:
  Serializable, Comparable, Executable

    public final class CollectionRecreateAction

extends CollectionAction

See Also:
  Serialized Form

Constructor Summary
`CollectionRecreateAction(PersistentCollection collection, CollectionPersister persister, Serializable id, SessionImplementor session)`

Method Summary
`void` `execute()` Execute this action

Methods inherited from class org.hibernate.action.internal.CollectionAction
`afterDeserialize, beforeExecutions, compareTo, eventSource, evict, getAfterTransactionCompletionProcess, getBeforeTransactionCompletionProcess, getCollection, getKey, getPersister, getPropertySpaces, getSession, listenerGroup, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionRecreateAction

    public CollectionRecreateAction(PersistentCollection collection,
                                    CollectionPersister persister,
                                    Serializable id,
                                    SessionImplementor session)
                             throws CacheException

Throws:
  `CacheException`

Method Detail

### execute

    public void execute()
                 throws HibernateException

  Description copied from interface: `Executable`
  Execute this action

  Throws:
    `HibernateException` - Indicates a problem during execution.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.